org.apache.cassandra.cql3.statements

## Class ColumnGroupMap

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ColumnGroupMap

    public class ColumnGroupMap
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ColumnGroupMap.Builder`

### Field Summary

Fields
`boolean` `isStatic`

### Method Summary

Methods
`java.util.List<Pair<java.nio.ByteBuffer,Column>>` `getCollection(java.nio.ByteBuffer key)`
`java.nio.ByteBuffer` `getKeyComponent(int pos)`
`Column` `getSimple(java.nio.ByteBuffer key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isStatic

    public final boolean isStatic

### Method Detail

#### getKeyComponent

    public java.nio.ByteBuffer getKeyComponent(int pos)

#### getSimple

    public Column getSimple(java.nio.ByteBuffer key)

#### getCollection

    public java.util.List<Pair<java.nio.ByteBuffer,Column>> getCollection(java.nio.ByteBuffer key)